chell-hunit-0.2: HUnit support for the Chell testing library

Safe Haskell | None

Test.Chell.HUnit

Synopsis

- hunit :: String -> Assertion -> Test

# Documentation

hunit :: String -> Assertion -> Test Source

Convert a sequence of HUnit assertions (embedded in IO) to a Chell `Test`.

    import Test.Chell
    import Test.Chell.HUnit
    import Test.HUnit

    test_Addition :: Test
    test_addition = hunit "addition" $ do
        1 + 2 @?= 3
        2 + 3 @?= 5